%global dlrn_nvr instack-undercloud-9.4.1.dev1-0.20180928005745.15cda5a
%global dlrn 1
%define upstream_version 9.4.1.dev1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           instack-undercloud
Version: 9.4.1
Release: 0.20180928005747.15cda5a%{?dist}
Summary:        Installation tools to install an undercloud via instack

Group:          Development/Languages
License:        ASL 2.0
Url:            https://github.com/openstack/instack-undercloud
Source0: instack-undercloud-9.4.1.dev1-0.20180928005745.15cda5a-15cda5ada3e93463a2b987f29e3e30b9f2ecfecd.tar.gz


# patches_ignore=DROP-IN-RPM
# patches_base=15cda5ada3e93463a2b987f29e3e30b9f2ecfecd
Patch0001: 0001-RHOSP-make-container-build-functionality-inclusion-f.patch
Patch0002: 0002-Fix-instack-undercloud-PEP8-failures-and-requirement.patch
Patch0003: 0003-Get-the-stack-name-if-possible-before-running-the-va.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools
BuildRequires:  git
Requires:       instack
Requires:       openstack-tripleo-heat-templates
Requires:       openstack-tripleo-image-elements
Requires:       redhat-lsb-core
Requires:       policycoreutils-python
Requires:       openstack-tripleo-puppet-elements
Requires:       python2-psutil
Requires:       python2-os-client-config
Requires:       python2-oslo-config >= 2:5.2.0
Requires:       python2-oslo-utils >= 3.33.0
Requires:       pystache
Requires:       jq
Requires:       os-apply-config
Requires:       os-net-config
Requires:       os-refresh-config
Requires:       python-heat-agent
Requires:       puppet
Requires:       puppet-tripleo
Requires:       python2-six
Requires:       python2-keystoneclient >= 1:3.8.0
Requires:       python2-ironicclient >= 2.3.0
Requires:       python2-mistralclient >= 3.1.0
Requires:       python2-novaclient >= 1:9.1.0
Requires:       python2-swiftclient >= 3.2.0
Requires:       python2-netaddr
Requires:       python-netifaces

Requires:       selinux-policy

%description
instack-undercloud is a collection of installation tools to install an
undercloud via python-instack. It contains scripts and elements to complete the
installation.


%prep
%autosetup -S git -n %{name}-%{upstream_version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README.md
%doc LICENSE
%{_datadir}/instack-undercloud
%{_bindir}/instack-*
%{python2_sitelib}/instack_undercloud*
%exclude %{python2_sitelib}/instack_undercloud/tests


%changelog
* Fri Feb 15 2019 Steve Linabery <slinaber@redhat.com> 9.4.1-0.20180928005747.15cda5a
- Get the stack name if possible before running the validations group (rhbz#1573120)
- Fix instack-undercloud PEP8 failures and requirements constraints

* Wed Oct 10 2018 Thierry Vignaud <tvignaud@redhat.com> 9.4.1-0.20180928005746.15cda5a
- RHOSP: make container build functionality inclusion false by default (rhbz#1576410)

